# Copyright (c) 2010 BaseSoft B.V.
# See LICENSE for details.

modules = {

    'tnt_clm_defines' :{
        'type': "js",
        'path': "tnt_clm_defines-min.js",
        'requires': []
    },

    'tnt_clm_wave_runner' :{
        'type': "js",
        'path': "wave_runner-min.js",
        'requires': ["iq_container", "tnt_clm_wave_runner_css", "iq_form_manager", "tnt_clm_defines"]
    },

    'tnt_clm_wave_runner_css': {
        'type': "css",
        'path': "wave_runner-min.css"
    },

    'tnt_clm_mail_runner': {
        'type': "js",
        'path': "clm_mail_runner-min.js",
        'requires': ["iq_container", "iq_form_manager", "tnt_clm_mail_runner_css"]
    },

    'tnt_clm_mail_runner_css': {
        'type': "css",
        'path': "clm_mail_runner-min.css"
    },

    'tnt_clm_wave_panel' : {
        'type': "js",
        'path': "wave_panel-min.js",
        'requires': ["iq_container", "iq_form_manager", "iq_fancyselect", "tnt_clm_wave_panel_css", "tnt_clm_defines"]
    },

    'tnt_clm_wave_panel_css': {
        'type': "css",
        'path': "wave_panel-min.css"
    },

    'tnt_clm_wave_translate': {
        'type': "js",
        'path': "wave_translate-min.js",
        'requires': ["iq_container", "iq_form_manager", 'tnt_clm_wave_translate_css', "tnt_clm_defines"]
    },

    'tnt_clm_wave_translate_css': {
        'type': "css",
        'path': "wave_translate-min.css"
    },

    'tnt_clm_wave_translations_status': {
        'type': "js",
        'path': "wave_translations_status-min.js",
        'requires': ["iq_manager", 'tnt_clm_wave_translations_status_css', "tnt_clm_defines"]
    },

    'tnt_clm_wave_translations_status_css': {
        'type': "css",
        'path': "wave_translations_status-min.css"
    },

    'tnt_clm_wave_translations_diff': {
        'type': "js",
        'path': "wave_translations_diff-min.js",
        'requires': ["iq_container", "tnt_clm_wave_translations_diff_css", "iq_account_manager"]
    },

    'tnt_clm_wave_translations_diff_css': {
        'type': "css",
        'path': "wave_translations_diff-min.css"
    },

    'tnt_clm_wave_manager': {
        'type': "js",
        'path': "wave_manager-min.js",
        'requires': ["iq_manager", "iq_custom_query", "tnt_clm_wave_manager_scss", "tnt_clm_defines"]
    },

    'tnt_clm_wave_manager_scss': {
        'type': "scss",
        'path': "wave_manager-min.scss",
        "requires": ["iq_customdatatable_mixins_scss"]
    },

    'tnt_clm_wave_overview_widget': {
        'type': "js",
        'path': "wave_overview_widget-min.js",
        'requires': ['iq_custom_query', 'tnt_clm_wave_manager']
    },

    'tnt_clm_mail_overview_widget': {
        'type': "js",
        'path': "clm_mail_overview_widget-min.js",
        'requires': ['iq_custom_query', 'tnt_clm_mail_manager']
    },

    'tnt_clm_scale_answer_manager_css': {
        'type': "css",
        'path': "scale_answer_manager-min.css"
    },

    'tnt_clm_scale_answer_manager': {
        'type': "js",
        'path': "scale_answer_manager-min.js",
        'requires': ["iq_manager", "iq_custom_query", "tnt_clm_scale_answer_manager_css"]
    },

    'tnt_clm_mail': {
        'type': "js",
        'path': "clm_mail-min.js",
        'requires': ["iq_form_manager", "tnt_clm_defines"]
    },

    'tnt_clm_wave_mail_translations_status': {
        'type': "js",
        'path': "clm_mail_translations_status-min.js",
        'requires': ["iq_manager", 'tnt_clm_wave_mail_translations_status_css', "tnt_clm_defines"]
    },

    'tnt_clm_wave_mail_translations_status_css': {
        'type': "css",
        'path': "clm_mail_translations_status-min.css"
    },

    'tnt_clm_mail_manager': {
        'type': "js",
        'path': "clm_mail_manager-min.js",
        'requires': ["iq_manager", "iq_custom_query", "iq_mail_manager"]
    },

    'tnt_clm_locale_manager': {
        'type': "js",
        'path': "locale_manager-min.js",
        'requires': ["iq_manager", "iq_custom_query", "iq_form_manager", "autocomplete"]
    },

    'tnt_clm_account_details': {
        'type': "js",
        'path': "clm_account_details-min.js",
        'requires': [ "iq_form_manager", "iq_fancyselect", "tnt_clm_account_details_css"]
    },

    'tnt_clm_account_details_css': {
        'type': "css",
        'path': "clm_account_details-min.css"
    },

    'tnt_clm_company_form': {
        'type': "js",
        'path': "clm_company_form-min.js",
        'requires': [ "iq_company_form"]
    },

    'clm_wave_common': {
        'type': "js",
        'path': "clm_wave_common-min.js",
        'requires': ["button", "clm_wave_common_css", "tnt_clm_defines"]
    },

    'clm_wave_common_css': {
        'type': "css",
        'path': "clm_wave_common-min.css"
    },

    'clm_wave_36': {
        'type': "js",
        'path': "clm_wave_36-min.js",
        'requires': ["clm_wave_common", "clm_wave_36_css"]
    },

    'clm_wave_36_css': {
        'type': "css",
        'path': "clm_wave_36-min.css"
    },

    'clm_wave_33': {
        'type': "js",
        'path': "clm_wave_33-min.js",
        'requires': ["clm_wave_common", "clm_wave_33_css"]
    },

    'clm_wave_33_css': {
        'type': "css",
        'path': "clm_wave_33-min.css"
    },

    'clm_wave_01': {
        'type': "js",
        'path': "clm_wave_01-min.js",
        'requires': ["clm_wave_common", "clm_wave_01_css"]
    },

    'clm_wave_01_css': {
        'type': "css",
        'path': "clm_wave_01-min.css"
    },

    'tnt_clm_attribute_manager': {
        'type': "js",
        'path': "clm_attribute_manager-min.js",
        'requires': ["iq_manager", "iq_custom_query", "tnt_clm_attribute_manager_css", "tnt_clm_defines"]
    },

    'tnt_clm_attribute_manager_css': {
        'type': "css",
        'path': "clm_attribute_manager-min.css"
    },

    'tnt_clm_wave_schedule' : {
        'type': "js",
        'path': "wave_schedule-min.js",
        'requires': ["iq_container", "iq_form_manager", "iq_fancyselect", "tnt_clm_wave_schedule_css", "tnt_clm_defines"]
    },

    'tnt_clm_wave_schedule_css': {
        'type': "css",
        'path': "wave_schedule-min.css"
    },
}