# Copyright (c) 2011 BaseSoft B.V.
# See LICENSE for details.

modules = {

    'db_common_widget': {
        'type': "js",
        'path': "db_common_widget-min.js",
        'requires': ['iqreport_mdx_result', 'iq_fancyselect', 'db_common_widget_scss']
    },

    'db_overall_satisfaction_widget': {
        'type': "js",
        'path': "db_overall_satisfaction_widget-min.js",
        'requires': ['db_common_widget']
    },

    'db_overall_satisfaction_graphs_widget': {
        'type': "js",
        'path': "db_overall_satisfaction_graphs_widget-min.js",
        'requires': ['db_common_widget']
    },

    'db_common_widget_scss': {
        'type': "scss",
        'path': "db_common_widget-min.scss"
    },

    'db_loyalty_score_widget': {
        'type': "js",
        'path': "db_loyalty_score_widget-min.js",
        'requires': ['db_common_widget']
    },

    'db_action_planning_widget': {
        'type': "js",
        'path': "db_action_planning_widget-min.js",
        'requires': ['db_common_widget']
    },

    'db_ncs_league_table_widget': {
        'type': "js",
        'path': "db_ncs_league_table_widget-min.js",
        'requires': ['db_common_widget']
    },

    'db_loyalty_league_table_widget': {
        'type': "js",
        'path': "db_loyalty_league_table_widget-min.js",
        'requires': ['db_common_widget']
    },

    'db_statistical_significance_widget': {
        'type': "js",
        'path': "db_statistical_significance_widget-min.js",
        'requires': ['db_common_widget']
    },

    'db_general_questions_widget': {
        'type': "js",
        'path': "db_general_questions_widget-min.js",
        'requires': ['db_common_widget']
    },

    'tnt_graph_datatablecube': {
        'type': "js",
        'path': "tnt_graph_datatablecube-min.js",
        'requires': ['iqreport_graph_datatablecube', 'tnt_graph_datatablecube_css', 'iqube_cube_table']
    },

    'tnt_graph_datatablecube_css': {
        'type': "css",
        'path': "tnt_graph_datatablecube-min.css"
    },

    'tnt_filter_panel': {
        'type': "js",
        'path': "tnt_filter_panel-min.js",
        'requires': ['iq_form_manager', 'iq_fancyselect', 'tnt_filter_panel_css']
    },

    'tnt_filter_panel_css': {
        'type': "css",
        'path': "tnt_filter_panel-min.css"
    },

    'tnt_configurable_widget': {
        'type': 'js',
        'path': 'tnt_configurable_widget-min.js',
        'requires': ['iqube_configurable_widget', 'clm_answer_fancy_select']
    },

    'clm_answer_fancy_select': {
        'type': "js",
        'path': "answer_fancy_select-min.js",
        'requires': ["iq_fancyselect"]
    },
}