# Copyright (c) 2015 BaseSoft B.V.
# See LICENSE for details.

from django.utils.translation import ugettext_lazy as _

qas = [{
    'question': _('How do I make the CLM Wave results available for the other groups?'),
    'answer': _('Open the Wave manager and tick the checkbox of the Wave you want to make available to the other groups. ' +
        'From the menu select the "Manage object privileges" and on the next overview select "Add privileges for group". ' +
        'Select the group you want to grant access to the wave, select the "View privileges" option and tick the checkbox for "Group has privileges". ' +
        'In case you want to grant everyone within the TNT domain access in one go, you can tick the "License has privileges" checkbox instead.'
    ),
    'permissions': ['update_tnt_clm_wave'],
    'category': 'TNT OES',
}]