# Copyright (c) 2010 BaseSoft B.V.
# See LICENSE for details.

from django.conf.urls.defaults import patterns
from iqportal.tnt.clm import views

urlpatterns = patterns('',
    (r'^attribute/rpc/$', views.attribute_rpc),
    (r'^scale_answer/rpc/$', views.scale_answer_rpc),
    (r'^clm_company_form_rpc/$', views.clm_company_form_rpc),
    (r'^wave_form_rpc/$', views.wave_form_rpc),
    (r'^locale_form_rpc/$', views.locale_form_rpc),
    (r'^download_wave_pdf/(\d+)/l(\d*)/rv(\d*)/$', views.download_wave_pdf),
    (r'^download_mail_pdf/(\d+)/l(\d*)/$', views.download_mail_pdf),
    (r'^export_wave_csv/(\d+)/(\w+)/(\d*)$', views.export_wave_csv),
    (r'^privs_delegation_rpc/$', views.privs_delegation_rpc),
)
