# Copyright (c) 2010 BaseSoft B.V.
# See LICENSE for details.

modules = {
    'tnt_geolevel_manager' :{
        'type': "js",
        'path': "tnt_geolevel_manager-min.js",
        'requires': ["tnt_geolevel_manager_css", "iq_manager", "iq_custom_query", "button",
                     "iq_form_manager", "iq_fancyselect", "iq_dialog", "autocomplete", "treeview"]
    },

    'tnt_geolevel_manager_css' :{
        'type': "css",
        'path': "tnt_geolevel_manager-min.css"
    },

    'tnt_depot_manager' :{
        'type': "js",
        'path': "tnt_depot_manager-min.js",
        'requires': ["iq_manager", "iq_custom_query", "button", "iq_form_manager", "tnt_depot_manager_scss"]
    },

    'tnt_depot_manager_scss' :{
        'type': "scss",
        'path': "tnt_depot_manager-min.scss",
        'requires': []
    },

    'tnt_theme_env' :{
        'type': "js",
        'path': "themes/tnt_default/theme_env-min.js",
        'requires': ["default_theme_env"]
    },

    # css used to override the style of the website (before logging)
    'tnt_website_theme': {
        'type': 'scss',
        'path': 'themes/tnt_default/tnt_website-min.scss',
        'requires': []
    },

    'tnt_theme_default_scss': {
        'type': 'scss',
        'path': 'themes/tnt_default/main-min.scss',
        'requires': ['iq_core_scss']
    },

    'tnt_theme_default': {
        'type': 'css',
        'path': 'themes/tnt_default/main-min.css',
        'requires': ['skin-sam-layout', 'tnt_theme_env', 'tnt_website_theme', 'tnt_theme_default_scss', 'standard_theme_scss']  # skin-sam-layout comes from yui
    },

}
