# Copyright (c) 2012 BaseSoft B.V.
# See LICENSE for details.

from sqlalchemy.orm import interfaces

class TntCLMWaveResponseHook(interfaces.MapperExtension):

    def after_delete(self, mapper, connection, instance):
        """
        Remove the deleted response from the agg table also
        """
        sql = "DELETE FROM aggTntCLMFullWaveResponse WHERE id=%s"
        connection.execute(sql, instance.id)
