# Copyright (c) 2011 BaseSoft B.V.
# See LICENSE for details.

modules = {

    'tnt_response_init': {
        'type': "js",
        'path': "tnt_response_init-min.js",
        'requires': []
    },

    'tnt_response_runner': {
        'type': "js",
        'path': "tnt_response_runner-min.js",
        'requires': []
    },

    'tnt_response_runner_css': {
        'type': "css",
        'path': "tnt_response_runner-min.css"
    },

    'tnt_login': {
        'type': "js",
        'path': "tnt_login-min.js",
        'requires': ['button']
    },

    'tnt_login_css': {
        'type': "css",
        'path': "tnt_login-min.css"
    },

    'tnt_clm_respondents_manager': {
        'type': "js",
        'path': "tnt_respondents_manager-min.js",
        'requires': ['iq_custom_query', 'iq_manager']
    },

    'tnt_clm_respondents_widget_scss': {
        'type': "scss",
        'path': "respondents_widget-min.scss"
    },

    'tnt_clm_respondents_widget': {
        'type': "js",
        'path': "respondents_widget-min.js",
        'requires': ['iq_filter_fieldset', 'abstract_dynamic_table_item', 'tnt_clm_respondents_widget_scss']
    },

    'tnt_clm_wave_respondents_overview_widget': {
        'type': "js",
        'path': "tnt_respondents_widget-min.js",
        'requires': ['tnt_clm_respondents_manager']
    },

    'tnt_clm_wave_respondents_by_country_widget': {
        'type': "js",
        'path': "tnt_response_by_country_widget-min.js",
        'requires': ['iq_custom_query']
    },

    'tnt_clm_priority_export_status_widget': {
        'type': "js",
        'path': "tnt_priority_export_status_widget-min.js",
        'requires': ['iq_custom_query', 'iq_customdatatable', 'tnt_clm_priority_export_status_widget_css']
    },

    'tnt_clm_priority_export_status_widget_css': {
        'type': "css",
        'path': "tnt_priority_export_status_widget-min.css"
    },

    'tnt_clm_import_responses_css': {
        'type': "css",
        'path': "import_responses-min.css"
    },

    'tnt_clm_import_responses': {
        'type': "js",
        'path': "import_responses-min.js",
        'requires': ['iq_form_manager', 'iq_container', 'uploader', 'tnt_clm_import_responses_css']
    },

}
