# Copyright (c) 2011 BaseSoft B.V.
# See LICENSE for details.

from basesoft.web.contrib.file.models import File

class TntCLMWaveRespondentType(object):
    """
    @DynamicAttrs
    """

class TntCLMWaveInvitee(object):
    """
    @DynamicAttrs
    """
    def __repr__(self):
        return '<TntCLMWaveInvitee hash="%s">' % self.invitee_hash

class TntCLMWaveParticipant(object):
    """
    @DynamicAttrs
    """
    NOT_PROCESSED = 0
    PROCESSED_NO_P1 = 1
    PROCESSED_P1 = 2
    DONT_PROCESS = 3 #imported respondents will have this status

    # FIXME - this is now saved in TntCLMWaveRespondentType, but we still use this constants in response controller - #3295
    NO_RESPONSES = 0
    RESPONSES_INTERNET = 1
    RESPONSES_PAPER = 2

class TntCLMWaveParticipantSession(object):
    """
    @DynamicAttrs
    """
    pass

class TntCLMWaveResponse(object):
    """
    @DynamicAttrs
    """
    pass

class TntCLMWavePriorityCSVFile(File):
    """
    @DynamicAttrs
    """
    EMAIL_NOT_SEND = 0
    EMAIL_SENT = 1

class TntCLMWavePriorityCSVFileParticipant(object):
    """
    @DynamicAttrs
    """
    TIFF_NOT_SENT = 0
    TIFF_SENDING = 1
    TIFF_SENT = 2
