# Copyright (c) 2011 BaseSoft B.V.
# See LICENSE for details.

from django.conf.urls.defaults import patterns, url
from iqportal.tnt.response import views
from basesoft.web.core.urls import version_regex

urlpatterns = patterns ('',
    # bootstrap urls accept extra modules in the form: /bootstrap/js/$hash
    url(r'^bootstrap/%s/(js|css)/(.*)/$' % version_regex, views.bootstrap),
    url(r'^display/([\w+\d+]{8})/$', views.display),
    url(r'^direct/(?P<hash>[\d\w]{8})/$', views.direct_graph),
    url(r'^download_response_pdf/(\d*)/l(\d*)/$', views.download_response_pdf),
    url(r'^login/$', views.login),
)
