# Copyright (c) 2010 BaseSoft B.V.
# See LICENSE for details.

from basesoft.web.contrib.dashboard.controllers import DashboardWidgetStateController
from django.utils.translation import ugettext_lazy as _

class TntSrQualityAuditWidget(DashboardWidgetStateController):
    """
    TNT SR Quality Audit Widget
    """
    label = _('TNT SR quality audit')
    name = 'tnt_sr_quality_audit_widget'
    icon = '16x16/apps/internet-web-browser.png'
    category = _('Service Recovery')
    permissions = ['view_tnt_sr_audit_form']
    classname = 'palette_group__menu--audit'

widgets_mapper = {'TntSrQualityAuditWidget': TntSrQualityAuditWidget}