# Copyright (c) 2010 BaseSoft B.V.
# See LICENSE for details.

from basesoft.web.core.models import PrivilegeObject

class TntSRQualityAuditResponse(PrivilegeObject):
    """
    @DynamicAttrs
    """

    mark_as_deleted_permission = 'delete_tnt_sr_audit_form'
    mark_as_archived_permission = 'update_tnt_sr_audit_form'

    def get_group_object(self):
        return (TntSRQualityAuditResponseGroup, 'response')

    def __repr__(self):
        return '<TntSRQualityAuditResponse id="%s">' % self.id

class TntSRQualityAuditResponseGroup(object):
    """
    @DynamicAttrs
    """
    def __repr__(self):
        return '<TntSRQualityAuditResponseGroup>'